commit:     482e93790a4a0545091791bc9d8fa82f2831f992
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun May 29 18:46:02 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun May 29 18:52:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=482e9379

dev-python/roman: EAPI=8, Use PEP517

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/roman/roman-3.3-r1.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/dev-python/roman/roman-3.3-r1.ebuild 
b/dev-python/roman/roman-3.3-r1.ebuild
new file mode 100644
index 000000000000..95db3de3f2d5
--- /dev/null
+++ b/dev-python/roman/roman-3.3-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="An Integer to Roman numerals converter"
+HOMEPAGE="https://pypi.org/project/roman/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+       mv "${S}/src/tests.py" . || die "moving test file failed"
+       distutils-r1_python_prepare_all
+}

Reply via email to